
/*
 *	SSSSSS  TTTTTTT  DDDDDD   H     H  DDDDDD   RRRRRR        H     H
 *	S          T     D     D  H     H  D     D  R     R       H     H
 *	S          T     D     D  H     H  D     D  R     R       H     H
 *	SSSSSS     T     D     D  HHHHHHH  D     D  RRRRRR        HHHHHHH
 *	     S     T     D     D  H     H  D     D  R   R         H     H
 *	     S     T     D     D  H     H  D     D  R    R   ..   H     H
 *	SSSSSS     T     DDDDDD   H     H  DDDDDD   R     R  ..   H     H
 *
 *	stdhdr.h -- "standard" header file
 */
typedef unsigned char	UCHAR;
typedef unsigned int	UINT;
typedef unsigned short	USHORT;
typedef unsigned long	ULONG;

/* union to allow easy address and byte handling and manipulation */
typedef union cnvtr
{
	UCHAR *offset;
	UCHAR far *farptr;
	long lngval;
	ULONG ulngval;
	int intval[2];
	UINT uintval[2];
	short shval[2];
	UCHAR chrval[4];
} CNVTR;

#define OK		(0)
#define ERR		(-1)
#define ERUNIT		(-2)		/* bad SCSI device unit */
#define ERCMND		(-3)		/* bad SCSI command */
#define TRUE		(-1)
#define FALSE		(0)
#define INVLD		(-1)
/* macros */
#define ok(a)		((a) == OK)
#define not(a)		((a) != OK)
/*   check if a routine was unsuccessful */
#define err(a)		((a) == ERR)
/*   check if a routine returned GOOD SCSI Status */
#define good(a)		((a) == GOOD)
/*   check if a value is within a range */
#define MN_MX(c,mn,mx)	((c) >= (mn) && (c) <= (mx))
/*   display a message on the console */
#define DSPMSG(o)	{obuf[o]=LF;obuf[(o)+1]=NULL;rputs(obuf);}
#  ifndef NULL
#define NULL		0x00		/* '\0' - null */
#  endif
#define LF		0x0A		/* '\n' - line feed (new line) */
#define CR		0x0D		/* '\r' - carriage return */
#define ESC		0x1B		/* '\033' - escape */
#define BLANK		0x20		/* ' ' - blank (space) */
#define APOSTROPHE	0x27		/* ''' - apostrophe (single quote) */
#define COMMA		0x2C		/* ',' - comma */
#define DOT		0x2E		/* '.' - period */
#define SLASH		0x2F		/* '/' - slash */
#define COLON		0x3A		/* ':' - colon */
#define TILDE		0x7E		/* '~' (maximum printable char.) */

/* end of stdhdr.h */
